name = 'kfedit'

buildflags = {
	'winexe',
	'optimize-size',
	'static-runtime',
	'unicode'
}

defines = {
}
if target == 'vs2005' then
	table.insert(defines, '_CRT_SECURE_NO_DEPRECATE')
	table.insert(defines, '_CRT_SECURE_NO_WARNINGS')
end

debug_defines = {
	'KFI_DEBUG',
	'SEC_DEBUG'
}

links = {
	'psapi'
}

includepaths = { 
	'../common/dlg',
	'../common/kfi',
	'../common/ltc',
	'../common/misc',
	'../common/prj',
	'../common/rnd'
}

dofile('../../tools/premake.lua')

package.files =
{
	matchrecursive('*.?'),
	matchrecursive('*.rc'),
	matchrecursive('../common/dlg/*.?'),
	matchrecursive('../common/dlg/*.rc'),
	matchrecursive('../common/kfi/*.?'),
	matchrecursive('../common/ltc/*.?'),
	matchrecursive('../common/misc/*.?'),
	matchrecursive('../common/prj/*.?'),
	matchrecursive('../common/rnd/*.?')
}


